Loading...
Searching...
No Matches
Magick::reduceNoiseImage Class Reference

## Public Member Functions

| reduceNoiseImage (const size_t order_)
void | operator() (Image &image_) const

## Private Attributes

size_t | _order

## Detailed Description

Definition at line 906 of file STL.h.

## Constructor & Destructor Documentation

## reduceNoiseImage() [1/2]

Magick::reduceNoiseImage::reduceNoiseImage | ( | void |  | ) |

Definition at line 877 of file STL.cpp.

: _order(3)
{
}

## reduceNoiseImage() [2/2]

Magick::reduceNoiseImage::reduceNoiseImage | ( | const size_t | order_ | ) |

Definition at line 881 of file STL.cpp.

: _order(order_)
{
}

## Member Function Documentation

## operator()()

void Magick::reduceNoiseImage::operator() | ( | Image & | image_ | ) | const

Definition at line 885 of file STL.cpp.

{
image_.reduceNoise( _order );
}

## Field Documentation

## _order

size_t Magick::reduceNoiseImage::_order

private

Definition at line 916 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp